
Ruby - Bug #2333

__FILE__ macro should have unicode encoding

11/04/2009 09:40 PM - vo.x (Vit Ondruch)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.2dev (2009-10-15)

[i386-mswin32_90]

Backport:  

Description

=begin

On my Windows, the FILE macro is in local codepage. However, it should be in some encoding which could handle international

characters, e.g. UTF-8.

=end

History

#1 - 11/04/2009 09:44 PM - naruse (Yui NARUSE)

- Category set to M17N

- Status changed from Open to Rejected

=begin

FILE has filesystem encoding, so locale codepage is intended.

When Ruby's Unicode support is well done,

filesystem encoding come to be UTF-8 and FILL also becomes UTF-8.

=end

#2 - 11/04/2009 10:05 PM - vo.x (Vit Ondruch)

=begin

So why is it rejected if it is valid point? Especially if I am using Ruby from win32-unicode-test branch and considering Matz words at ruby-core:20110

=end

#3 - 11/04/2009 10:18 PM - naruse (Yui NARUSE)

=begin

Because it is not a bug, current behavior is intended in this point,

even if a feature requst may accept.

This is to ease managing tickets which are absolutely BUG.

=end
